Module ij
Package ij.plugin

# Class DICOM

java.lang.Object
ij.ImagePlus
ij.plugin.DICOM

All Implemented Interfaces:
  `Measurements`, `PlugIn`, `ImageObserver`, `Cloneable`

public class DICOM extends ImagePlus implements PlugIn
This plugin decodes DICOM files. If 'arg' is empty, it displays a file open dialog and opens and displays the image selected by the user. If 'arg' is a path, it opens the specified image and the calling routine can display it using "((ImagePlus)IJ.runPlugIn("ij.plugin.DICOM", path)).show()".

## Field Summary

### Fields inherited from class ij.ImagePlus

`changes, CLOSED, COLOR_256, COLOR_RGB, compositeImage, currentSlice, dimensionsSet, flattenTitle, GRAY16, GRAY32, GRAY8, height, img, ip, locked, nChannels, nFrames, nSlices, OPENED, roi, SAVED, setIJMenuBar, UPDATED, width, win`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`DICOM()`
Default constructor.
`DICOM(BufferedInputStream bis)`
Constructs a DICOM reader that using an BufferredInputStream.
`DICOM(InputStream is)`
Constructs a DICOM reader that using an InputStream.

## Method Summary

Modifier and Type
Method
Description
`String`
`getInfo(String path)`
Returns the DICOM tags of the specified file as a string.
`static String`
`getTagName(String id)`
Returns the name of the specified DICOM tag id.
`void`
`open(String path)`
Opens the specified file as a DICOM.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class ij.ImagePlus

`addImageListener, clone, close, convertIndexToPosition, convertToImageProcessor, copy, copy, copyAttributes, copyScale, copyToSystem, createEmptyStack, createHyperStack, createImagePlus, createLut, createNewRoi, createRoiMask, createThresholdMask, crop, crop, crop, crop, cropAndSave, cut, deleteRoi, draw, draw, duplicate, flatten, flattenStack, flush, getAllStatistics, getBitDepth, getBufferedImage, getBytesPerPixel, getC, getCalibration, getCanvas, getChannel, getChannelProcessor, getClipboard, getCompositeMode, getCurrentSlice, getDefault16bitRange, getDimensions, getDimensions, getDisplayMode, getDisplayRangeMax, getDisplayRangeMin, getFileInfo, getFrame, getGlobalCalibration, getHeight, getHideOverlay, getID, getImage, getImageProperties, getImageStack, getImageStackSize, getInfoProperty, getListeners, getLocalCalibration, getLocationAsString, getLuts, getMask, getNChannels, getNDimensions, getNFrames, getNSlices, getNumericProp, getNumericProperty, getOpenAsHyperStack, getOriginalFileInfo, getOverlay, getPixel, getPlot, getProcessor, getProp, getProperties, getPropertiesAsArray, getProperty, getPropsInfo, getRawStatistics, getRoi, getShortTitle, getSizeInBytes, getSlice, getStack, getStackIndex, getStackSize, getStartTime, getStaticGlobalCalibration, getStatistics, getStatistics, getStatistics, getStatistics, getStringProperty, getT, getTitle, getType, getWidth, getWindow, getZ, hasImageStack, hide, imageUpdate, isComposite, isDisplayedHyperStack, isHyperStack, isInvertedLut, isLocked, isLockedByAnotherThread, isProcessor, isRGB, isStack, isThreshold, isVisible, killRoi, killStack, lock, lockSilently, logImageListeners, mouseMoved, notifyListeners, okToDeleteRoi, paste, paste, paste, plotHistogram, plotHistogram, removeImageListener, removeScale, repaintWindow, resetClipboard, resetDisplayRange, resetRoi, resetStack, resize, resize, restoreRoi, revert, saveRoi, setActivated, setActiveChannels, setAntialiasRendering, setAutoThreshold, setBorderColor, setC, setCalibration, setColor, setDeactivated, setDefault16bitRange, setDefaultDisplayRange, setDimensions, setDisplayMode, setDisplayRange, setDisplayRange, setFileInfo, setGlobalCalibration, setHideOverlay, setIgnoreFlush, setIgnoreGlobalCalibration, setIJMenuBar, setIJMenuBar, setImage, setImage, setLut, setOpenAsHyperStack, setOverlay, setOverlay, setOverlay, setPlot, setPosition, setPosition, setPositionWithoutUpdate, setProcessor, setProcessor, setProp, setProp, setProperties, setProperty, setRoi, setRoi, setRoi, setRoi, setSlice, setSliceWithoutUpdate, setStack, setStack, setStack, setT, setTemporary, setTitle, setType, setTypeToColor256, setWindow, setZ, show, show, startTiming, tempOverlay, toggleOverlay, toString, trimProcessor, unlock, updateAndDraw, updateAndRepaintWindow, updateChannelAndDraw, updateImage, updatePosition, updateStatusbarValue, updateVirtualSlice, waitTillActivated, windowActivated`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DICOM

public DICOM()
Default constructor.

### DICOM

public DICOM(InputStream is)
Constructs a DICOM reader that using an InputStream. Here is an example that shows how to open and display a DICOM:

                    DICOM dcm = new DICOM(is);
                    dcm.run("Name");
                    dcm.show();

### DICOM

public DICOM(BufferedInputStream bis)
Constructs a DICOM reader that using an BufferredInputStream.

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### open

public void open(String path)
Opens the specified file as a DICOM. Does not display a message if there is an error. Here is an example:

                    DICOM dcm = new DICOM();
                    dcm.open(path);
                    if (dcm.getWidth()==0)
                            IJ.log("Error opening '"+path+"'");
                    else
                            dcm.show();

### getInfo

public String getInfo(String path)
Returns the DICOM tags of the specified file as a string.

### getTagName

public static String getTagName(String id)
Returns the name of the specified DICOM tag id.